/*
libmatrix.h

matrix manipulation library
version 0.05
Peter A. Cejchan, GPL
Mon Jul 31 12:24:25 MET 2006
<cej@gli.cas.cz | pac7@post.cz>

global definitions

*/

#define MAXROWS 65536
#define MAXCOLS MAXROWS
#define MAXLENGTH MAXROWS
#define MAXFLOAT 1e20
#define MAXINT 65535
#define MAXLINELENGTH 256

typedef struct Matrix Matrix;
typedef struct iMatrix iMatrix;
typedef struct cMatrix cMatrix;
typedef struct Vector Vector;
typedef struct iVector iVector;
typedef struct Couple Couple;

extern	Biobuf bin;

struct Couple{
	int pred, succ;
};

struct cMatrix{
	int rows, cols;
	Couple **x;
};
